Finalize a pending payment
Finalize a pending payment being made by a Bolt logged-in shopper. Upon receipt of a finalized payment result, payment success should be communicated to the shopper.
Authorization
oauth bolt.account.manageapi-key In: header
Scope: bolt.account.manage
In: header
Path Parameters
The ID of the payment to operate on
Header Parameters
The publicly shareable identifier used to identify your Bolt merchant division.
A unique identifier for a shopper's device, generated by Bolt. The value is retrieved with Bolt.state.merchantClientId in your frontend context, per-shopper. This header is required for proper attribution of this operation to your analytics reports. Omitting this header may result in incorrect statistics.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/payments/iKv7t5bgt1gg" \ -H "X-Publishable-Key: string" \ -H "Content-Type: application/json" \ -d '{ ".tag": "finalize" }'{ ".tag": "finalized", "id": "iKv7t5bgt1gg", "status": "success", "transaction": { "reference": "OBYG-X1PX-FN55", "authorizations": [ { "processor_reference": "123456789XYZ" } ] }}Initialize a Bolt payment for logged in shoppers POST
Initialize a Bolt logged-in shopper's intent to pay for a cart, using the specified payment method. Payments must be finalized before indicating the payment result to the shopper. Some payment methods will finalize automatically after initialization. For these payments, they will transition directly to "finalized" and the response from Initialize Payment will contain a finalized payment.
Initialize a Bolt payment for guest shoppers POST
Initialize a Bolt guest shopper's intent to pay for a cart, using the specified payment method. Payments must be finalized before indicating the payment result to the shopper. Some payment methods will finalize automatically after initialization. For these payments, they will transition directly to "finalized" and the response from Initialize Payment will contain a finalized payment.